%define anolis_release 2
%{?filter_setup:
%filter_provides_in %{python3_sitearch}/.*\.so$
%filter_setup
}

Summary:       Python bindings for CUPS
Name:          python-cups
Version:       2.0.1
Release: %{anolis_release}%{dist}
URL:           https://github.com/OpenPrinting/pycups/
Source:        https://github.com/OpenPrinting/pycups/releases/download/v%{version}/pycups-%{version}.tar.gz
License:       GPLv2+

# all taken from upstream
Patch01: 0001-postscriptdriver.prov-ignore-driverless-utilities.patch
Patch02: pycups-invalid-pointer.patch
Patch03: pycups-pyssizet_clean.patch

# gcc is no longer in buildroot by default
BuildRequires: gcc
# for autosetup
BuildRequires: git-core
# uses make
BuildRequires: make

BuildRequires: cups-devel
BuildRequires: python3-devel

%description
This package provides Python bindings for CUPS API,
known as pycups. It was written for use with
system-config-printer, but can be put to other uses as well.

%package -n python3-cups
Summary:       Python3 bindings for CUPS API, known as pycups.
%{?python_provide:%python_provide python3-cups}

%description -n python3-cups
This package provides Python 3 bindings for CUPS API,
known as pycups. It was written for use with
system-config-printer, but can be put to other uses as well.

%package doc
Summary:       Documentation for python-cups

%description doc
Documentation for python-cups.

%prep
%autosetup -S git -n pycups-%{version}

%build
%py3_build

%install
make install-rpmhook DESTDIR="%{buildroot}"
%py3_install
export PYTHONPATH=%{buildroot}%{python3_sitearch}
%{__python3} -m pydoc -w cups
%{_bindir}/mkdir html
%{_bindir}/mv cups.html html

%generate_compatibility_deps

%files -n python3-cups
%license COPYING
%{python3_sitearch}/cups.cpython-3*.so
%{python3_sitearch}/pycups*.egg-info
%{_rpmconfigdir}/fileattrs/psdriver.attr
%{_rpmconfigdir}/postscriptdriver.prov

%dir %{abidir}
%{abidir}/cups.cpython-3*.dump

%files doc
%doc examples html
%doc README NEWS TODO

%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 2.0.1-2
- Rebuild with python3.11

* Sat Mar 25 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 2.0.1-1
- Init package from upstream
